Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: qttools-everywhere-src
Source: https://download.qt.io/official_releases/qt/*/submodules/

Files: *
Copyright: 2016-2023 The Qt Company Ltd.
License: GPL-3 with Qt-1.0 exception

Files: debian/*
Copyright: 2007-2012 Fathi Boudra <fabo@debian.org>
           2007-2012 Sune Vuorela <debian@pusling.com>
           2008-2012 Modestas Vainius <modax@debian.org>
           2007-2009 Ana Beatriz Guerrero Lopez <ana@debian.org>
           2005-2007 Brian Nelson <pyro@debian.org>,
           2012 Felix Geyer <fgeyer@debian.org>
           2012-2013 Timo Jyrinki <timo.jyrinki@canonical.com>
           2013-2015 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
           2014-2024 Dmitry Shachnev <mitya57@debian.org>
License: LGPL-3 or GPL-2

Files: *.qdoc
       *.qdoc.sample
       src/qdoc/doc/examples/samples.qdocinc
Copyright: 2016-2020 The Qt Company Ltd.
License: GFDL-NIV-1.3

Files: src/assistant/help/*
       src/assistant/qhelpgenerator/collectionconfigreader.*
       src/assistant/qhelpgenerator/helpgenerator.*
       src/assistant/qhelpgenerator/qhelpdatainterface*
       src/assistant/qhelpgenerator/qhelpprojectdata*
       src/assistant/shared/*
       src/qdoc/clangcodeparser.*
       src/shared/deviceskin/*
       src/shared/findwidget/*
       src/shared/fontpanel/*
       src/shared/qtgradienteditor/*
       src/shared/qtpropertybrowser/*
       src/shared/qttoolbardialog/*
       src/winrtrunner/*
Copyright: 2016-2020 The Qt Company Ltd.
License: LGPL-3 or GPL-2

Files: src/linguist/lupdate/main.cpp
       tests/auto/cmake/test_add_translation_macro/myi18nobject.cpp
       tests/auto/cmake/test_add_translation_macro/some_dir/some_include.h
       tests/auto/cmake/test_create_translation_macro/some_dir/some_include.h
       tests/auto/cmake/test_create_translation_macro/myi18nobject.cpp
       tests/auto/linguist/lupdate/testdata/good/tr_function_alias/main.cpp
Copyright: 2016 Klarälvdalens Datakonsult AB, a KDAB Group company, info@kdab.com
License: GPL-3 with Qt-1.0 exception

Files: tests/auto/cmake/test_create_translation_same_base_names/myi18nobject.cpp
Copyright: 2016 Klarälvdalens Datakonsult AB, a KDAB Group company, info@kdab.com
           2023 The Qt Company Ltd.
License: GPL-3 with Qt-1.0 exception

Files: src/qtplugininfo/qtplugininfo.cpp
Copyright: 2016 Klarälvdalens Datakonsult AB, a KDAB Group company, info@kdab.com
           2016 Intel Corporation
License: GPL-3 with Qt-1.0 exception

Files: src/qdbus/qdbusviewer/logviewer.*
Copyright: 2016 Tasuku Suzuki <stasuku@gmail.com>
License: GPL-3 with Qt-1.0 exception

Files: tests/auto/cmake/test_uiplugin_module/my_designer_plugin.cpp
       tests/auto/cmake/test_uiplugin_via_designer/my_designer_plugin.cpp
Copyright: 2016 Stephen Kelly <steveire@gmail.com>
License: GPL-3 with Qt-1.0 exception

Files: src/qdoc/docbookgenerator.*
       src/qdoc/xmlgenerator.*
Copyright: 2019 Thibaut Cuvelier
License: GPL-3 with Qt-1.0 exception

Files: src/linguist/Qt5LinguistToolsMacros.cmake
Copyright: 2005-2011 Kitware, Inc.
           2022 The Qt Company Ltd.
License: BSD-3-clause

Files: src/qtpaths/*
Copyright: 2016 Sune Vuorela <sune@kde.org>
License: BSD-3-clause

Files: tests/auto/linguist/lconvert/data/*.po
Copyright: 2001, 2003 Free Software Foundation, Inc.
           2002, 2003, 2004 Thomas Diehl, Stephan Johach, Thomas Reitelbach
License: GPL-2+

Files: examples/*
       src/assistant/assistant/doc/snippets/*
       src/assistant/help/doc/snippets/*
       src/designer/src/designer/doc/snippets/*
       src/designer/src/lib/uilib/*
       src/designer/src/uitools/*
       src/linguist/linguist/doc/snippets/*
       tests/auto/qdoc/generatedoutput/testdata/qml/componentset/*.qml
Copyright: 2016-2017 The Qt Company Ltd.
License: BSD-3-clause

Files: src/makeqpf/Blocks.txt
Copyright: 1991-2006 Unicode, Inc.
License: MIT-Unicode

License: BSD-3-clause
 You may use this file under the terms of the BSD license as follows:
 .
 "Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
   * Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in
     the documentation and/or other materials provided with the
     distribution.
   * Neither the name of The Qt Company Ltd and its Subsidiary(-ies) nor the
     names of its contributors may be used to endorse or promote products
     derived from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 2 can be found in /usr/share/common-licenses/GPL-2.

License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 2 can be found in /usr/share/common-licenses/GPL-2.

License: GPL-3 with Qt-1.0 exception
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 3 can be found in /usr/share/common-licenses/GPL-3.
 .
 The Qt Company GPL Exception 1.0
 Exception 1:
 .
 As a special exception you may create a larger work which contains the
 output of this application and distribute that work under terms of your
 choice, so long as the work is not otherwise derived from or based on
 this application and so long as the work does not in itself generate
 output that contains the output from this application in its original
 or modified form.
 .
 Exception 2:
 .
 As a special exception, you have permission to combine this application
 with Plugins licensed under the terms of your choice, to produce an
 executable, and to copy and distribute the resulting executable under
 the terms of your choice. However, the executable must be accompanied
 by a prominent notice offering all users of the executable the entire
 source code to this application, excluding the source code of the
 independent modules, but including any changes you have made to this
 application, under the terms of this license.

License: LGPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License version 3
 as published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 3 can be found in /usr/share/common-licenses/LGPL-3.

License: MIT-Unicode
 Permission is hereby granted, free of charge, to any person obtaining a copy of
 the Unicode data files and any associated documentation (the "Data Files") or
 Unicode software and any associated documentation (the "Software") to deal in
 the Data Files or Software without restriction, including without limitation the
 rights to use, copy, modify, merge, publish, distribute, and/or sell copies of
 the Data Files or Software, and to permit persons to whom the Data Files or
 Software are furnished to do so, provided that:
 (a) the above copyright notice(s) and this permission notice appear with all
     copies of the Data Files or Software,
 (b) both the above copyright notice(s) and this permission notice appear in
     associated documentation, and
 (c) there is clear notice in each modified Data File or in the Software as well
     as in the documentation associated with the Data File(s) or Software that
     the data or software has been modified.
 .
 THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD
 PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR
 SOFTWARE.
 .
 Except as contained in this notice, the name of a copyright holder shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 these Data Files or Software without prior written authorization of the
 copyright holder.

License: GFDL-NIV-1.3
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3
 or any later version published by the Free Software Foundation;
 with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
 .
 On Debian systems, the complete text of the GNU Free Documentation
 License version 1.3 can be found in /usr/share/common-licenses/GFDL-1.3.
